## snakemake 3.5.5+dfsg

=== docs/requirements.txt ===
sphinxcontrib-napoleon
sphinx_bootstrap_theme

=== examples/c/src/Makefile ===


IDIR=../include
ODIR=obj
LDIR=../lib

LIBS=-lm

CC=gcc
CFLAGS=-I$(IDIR)

_HEADERS = hello.h
HEADERS = $(patsubst %,$(IDIR)/%,$(_HEADERS))

_OBJS = hello.o hellofunc.o 
OBJS = $(patsubst %,$(ODIR)/%,$(_OBJS))

# build the executable from the object files
hello: $(OBJS)
	$(CC) -o $@ $^ $(CFLAGS)

# compile a single .c file to an .o file
$(ODIR)/%.o: %.c $(HEADERS)
	$(CC) -c -o $@ $< $(CFLAGS)


# clean up temporary files
.PHONY: clean
clean:
	rm -f $(ODIR)/*.o *~ core $(IDIR)/*~

## snakemake 3.4.2+dfsg

=== debian/changelog ===
snakemake (3.4.2+dfsg-2) unstable; urgency=low

  * Fix watch file and d/control with new upstream URL

 -- Kevin Murray <spam@kdmurray.id.au>  Thu, 19 Nov 2015 11:20:03 +1100

snakemake (3.4.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #798824)

 -- Kevin Murray <spam@kdmurray.id.au>  Sun, 13 Sep 2015 22:58:41 +1000

=== debian/control ===
Source: snakemake
Maintainer: Debian Med Packaging <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3 (>= 3.2),
               python3-sphinx,
               python3-setuptools,
               python3-sphinx-bootstrap-theme,
               python3-yaml,
               python3-rpy2,
               python3-nose,
               ca-certificates
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/snakemake.git/
Vcs-Git: git://anonscm.debian.org/debian-med/snakemake.git
Homepage: https://bitbucket.org/snakemake/snakemake
X-Python-Version: >= 3.3
X-Python3-Version: >= 3.3

Package: snakemake
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         python3-setuptools,
         python3-docutils,
         python3-yaml,
         python3-rpy2,
         libjs-mathjax,
         ca-certificates
Description: pythonic workflow management system
 Build systems like GNU Make are frequently used to create complicated
 workflows, e.g. in bioinformatics. This project aims to reduce the
 complexity of creating workflows by providing a clean and modern domain
 specific language (DSL) in Python style, together with a fast and
 comfortable execution environment.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
https://bitbucket.org/snakemake/snakemake/downloads#tag-downloads .*/v(\d\S*)\.tar\.gz

## snakemake 3.5.4+dfsg

=== debian/changelog ===
snakemake (3.5.4+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 3.5.4+dfsg

 -- Kevin Murray <spam@kdmurray.id.au>  Thu, 17 Dec 2015 21:11:20 +1100

## snakemake 3.5.5+dfsg

=== debian/changelog ===
snakemake (3.5.5+dfsg-1) unstable; urgency=low

  * Imported new upstream version 3.5.5
  * Use filenamemangle in d/watch

 -- Kevin Murray <spam@kdmurray.id.au>  Fri, 29 Jan 2016 17:18:28 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                ca-certificates
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/snakemake.git/
-Vcs-Git: git://anonscm.debian.org/debian-med/snakemake.git
+Vcs-Git: https://anonscm.debian.org/debian-med/snakemake.git
 Homepage: https://bitbucket.org/snakemake/snakemake
 X-Python-Version: >= 3.3
 X-Python3-Version: >= 3.3

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export PYBUILD_NAME=snakemake
export PYBUILD_DESTDIR_python3=debian/snakemake
export PYBUILD_BEFORE_TEST_python3=cp -r {dir}/bin {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests

# Force the use of python3's sphinx-build.
export SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild --parallel

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build_sphinx

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/snakemake-$1.tar.gz/" \
  https://bitbucket.org/snakemake/snakemake/downloads#tag-downloads .*/v(\d\S*)\.tar\.gz

## snakemake 3.7.1+dfsg

=== debian/changelog ===
snakemake (3.7.1+dfsg-1) unstable; urgency=low

  * Imported new upstream version 3.7.1
  * Bump standards version to 3.9.8

 -- Kevin Murray <spam@kdmurray.id.au>  Tue, 28 Jun 2016 14:54:17 +1000

snakemake (3.6.1+dfsg-1) unstable; urgency=low

  * Imported new upstream version 3.6.1

 -- Kevin Murray <spam@kdmurray.id.au>  Tue, 19 Apr 2016 12:15:15 +1000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                python3-rpy2,
                python3-nose,
                ca-certificates
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/snakemake.git/
-Vcs-Git: https://anonscm.debian.org/debian-med/snakemake.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/snakemake.git
 Homepage: https://bitbucket.org/snakemake/snakemake
 X-Python-Version: >= 3.3
 X-Python3-Version: >= 3.3

## snakemake 3.8.2+dfsg

=== debian/changelog ===
snakemake (3.8.2+dfsg-1) unstable; urgency=medium

  * Update d/watch with bitbucket's new tag page
  * New upstream version 3.8.2
  * Patch to avoid test failure
  * Add new dependencies to d/control

 -- Kevin Murray <spam@kdmurray.id.au>  Fri, 02 Dec 2016 13:51:01 +1100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3 (>= 3.2),
+               python3-nose,
+               python3-pytools,
+               python3-rpy2,
+               python3-setuptools,
                python3-sphinx,
-               python3-setuptools,
                python3-sphinx-bootstrap-theme,
+               python3-wrapt,
                python3-yaml,
-               python3-rpy2,
-               python3-nose,
                ca-certificates
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/snakemake.git/
@@ -25,10 +27,12 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends},
+         python3-docutils,
+         python3-pytools,
+         python3-rpy2,
          python3-setuptools,
-         python3-docutils,
+         python3-wrapt,
          python3-yaml,
-         python3-rpy2,
          libjs-mathjax,
          ca-certificates
 Description: pythonic workflow management system

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/snakemake-$1.tar.gz/" \
  https://bitbucket.org/snakemake/snakemake/downloads?tab=tags .*/v(\d\S*)\.tar\.gz

## snakemake 3.9.0+dfsg

=== debian/changelog ===
snakemake (3.9.0+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jan 2017 16:18:01 +0100

snakemake (3.9.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Ignore failures of test that might happpen in pbuilder
    Closes: #848820

 -- Andreas Tille <tille@debian.org>  Thu, 22 Dec 2016 09:55:33 +0100

snakemake (3.9.0+dfsg-1) unstable; urgency=medium

  [ Kevin Murray ]
  * New upstream version 3.9.0 (Closes: #845737)

  [ Andreas Tille ]
  * debhelper 10
  * d/watch: version=4
  * Ignore failures of test that might happpen in pbuilder

 -- Kevin Murray <spam@kdmurray.id.au>  Wed, 07 Dec 2016 09:02:12 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Kevin Murray <spam@kdmurray.id.au>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python3 (>= 3.2),
                python3-nose,

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild --parallel
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## snakemake 3.9.1

=== debian/changelog ===
snakemake (3.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * New Build-Depends: python3-sphinx-rtd-theme

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2017 15:03:15 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-sphinx-bootstrap-theme,
                python3-wrapt,
                python3-yaml,
+               python3-sphinx-rtd-theme,
                ca-certificates
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/snakemake.git/

## snakemake 3.10.0

=== docs/requirements.txt ===
sphinx
sphinxcontrib-napoleon
sphinx_rtd_theme
docutils==0.12

=== debian/changelog ===
snakemake (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0
  * Refresh patches

 -- Kevin Murray <kdmfoss@gmail.com>  Thu, 19 Jan 2017 11:41:55 +1100

snakemake (3.9.1-2) unstable; urgency=medium

  * Future-proof patch to work-around missing snakemake binary when running
    tests before installation
  * Backport fix for crash with dynamic rules (from bitbucket PR #168).
  * Update my email address

 -- Kevin Murray <kdmfoss@gmail.com>  Wed, 18 Jan 2017 00:20:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: snakemake
 Maintainer: Debian Med Packaging <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Kevin Murray <spam@kdmurray.id.au>
+Uploaders: Kevin Murray <kdmfoss@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 10),

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,10 @@
 
 export PYBUILD_NAME=snakemake
 export PYBUILD_DESTDIR_python3=debian/snakemake
-export PYBUILD_BEFORE_TEST_python3=cp -r {dir}/bin {dir}/tests {build_dir}
+export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
 export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests
+
+export PATH:=$(CURDIR)/.pybuild/pythonX.Y_3.5/build/bin:$(PATH)
 
 # Force the use of python3's sphinx-build.
 export SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

## snakemake 4.3.1

=== docs/requirements.txt ===
sphinx
sphinxcontrib-napoleon
sphinx-argparse
sphinx_rtd_theme
docutils==0.12

=== docs/tutorial/workflow/requirements.txt ===
# This file may be used to create an environment using:
# $ conda create --name snakemake-tutorial -c bioconda --file <this file>
bcftools=1.3.1
bwa=0.7.12
graphviz=2.38.0
python=3.5.1
samtools=1.3.1
snakemake=3.5.5
pyyaml=3.11

=== debian/changelog ===
snakemake (4.3.1-1) unstable; urgency=medium

  * Team upload

  [ Dylan Aïssi ]
  * Add upstream/metadata

  [ Andreas Tille ]
  * Remove sphinxext which spoils doc generation
  * Fix build with Python 3.6
    Closes: #878498

  [ Christian M. Amsüss ]
  * New upstream version 4.3.1
    - updated lintian overrides
  * Add build dependency on python3-ratelimiter
  * Patch out test cases with unsatisfied dependencies
  * Bump standards version to 4.1.2

  [ Andreas Tille ]
  * Avoid privacy breach.  The tradeoff is that the local static copy might
    become but people interested in latest information will read online
    anyway.
  * Mention remaining potential privacy breach issues in debian/README.source

 -- Christian M. Amsüss <chrysn@fsfe.org>  Mon, 11 Dec 2017 20:51:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: snakemake
-Maintainer: Debian Med Packaging <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Kevin Murray <kdmfoss@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-python,
                python3 (>= 3.2),
+               python3-boto,
+               python3-configargparse,
                python3-nose,
+               python3-psutil,
                python3-pytools,
+               python3-ratelimiter,
                python3-rpy2,
                python3-setuptools,
                python3-sphinx,
@@ -16,7 +20,7 @@
                python3-yaml,
                python3-sphinx-rtd-theme,
                ca-certificates
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/snakemake.git/
 Vcs-Git: https://anonscm.debian.org/git/debian-med/snakemake.git
 Homepage: https://bitbucket.org/snakemake/snakemake
@@ -29,13 +33,16 @@
          ${python3:Depends},
          ${sphinxdoc:Depends},
          python3-docutils,
+         python3-psutil,
          python3-pytools,
          python3-rpy2,
          python3-setuptools,
          python3-wrapt,
          python3-yaml,
          libjs-mathjax,
+         libjs-d3,
          ca-certificates
+Recommends: python3-boto,
 Description: pythonic workflow management system
  Build systems like GNU Make are frequently used to create complicated
  workflows, e.g. in bioinformatics. This project aims to reduce the

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
 export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests
 
-export PATH:=$(CURDIR)/.pybuild/pythonX.Y_3.5/build/bin:$(PATH)
+export PATH:=$(CURDIR)/.pybuild/pythonX.Y_3.6/build/bin:$(PATH)
 
 # Force the use of python3's sphinx-build.
 export SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/snakemake-$1.tar.gz/" \
  https://bitbucket.org/snakemake/snakemake/downloads?tab=tags .*/v(\d\S*)\.tar\.gz

## snakemake 5.1.5

=== debian/changelog ===
snakemake (5.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #894213
  * Standards-Version: 4.1.5
  * debhelper 11
  * d/rules: delete get-orig-source target
  * Build-Depends: r-cran-rmarkdown and disable patch that skips test using
    RMarkdown
  * Recommends: r-cran-rmarkdown
  * (Build-)Depends: python3-datrie, python3-networkx, python3-recommonmark,
    python3-pygraphviz, python3-pytest
  * Point Vcs-fields to Salsa
  * Drop X-Python-Version
  * Merge upstream commit to skip tests needing network access (upstream issue
    #902)
  * Lintian override for test data (false positive for source-is-missing)
  * Remove ancient-python-version-field X-Python3-Version

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jul 2018 14:18:13 +0200

## snakemake 5.2.1

=== debian/changelog ===
snakemake (5.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    - Fix compatibility with python 3.7 (Closes: #904350)
  * Remove 0012-skip_test_needing_networ_connection.patch
     upstream applied.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 27 Jul 2018 19:30:16 +0200

=== debian/control ===
Source: snakemake
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <kdmfoss@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3,
               python3-boto,
               python3-configargparse,
               python3-datrie,
               python3-networkx,
               python3-nose,
               python3-psutil,
               python3-pygraphviz,
               python3-pytools,
               python3-ratelimiter,
               python3-recommonmark,
               python3-rpy2,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-bootstrap-theme,
               python3-wrapt,
               python3-yaml,
               python3-sphinx-rtd-theme,
               python3-pytest,
               ca-certificates,
               r-cran-rmarkdown
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/snakemake
Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
Homepage: https://bitbucket.org/snakemake/snakemake

Package: snakemake
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         python3-docutils,
         python3-datrie,
         python3-networkx,
         python3-psutil,
         python3-pygraphviz,
         python3-pytools,
         python3-ratelimiter,
         python3-recommonmark,
         python3-rpy2,
         python3-setuptools,
         python3-wrapt,
         python3-yaml,
         libjs-mathjax,
         libjs-d3,
         ca-certificates
Recommends: python3-boto,
            r-cran-rmarkdown
Description: pythonic workflow management system
 Build systems like GNU Make are frequently used to create complicated
 workflows, e.g. in bioinformatics. This project aims to reduce the
 complexity of creating workflows by providing a clean and modern domain
 specific language (DSL) in Python style, together with a fast and
 comfortable execution environment.

## snakemake 5.3.0

=== debian/changelog ===
snakemake (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
     New build-dep: python3-pandas and python3-jsonschema
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Wed, 24 Oct 2018 07:59:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,18 @@
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-python,
+               ca-certificates,
                python3,
                python3-boto,
                python3-configargparse,
                python3-datrie,
+               python3-jsonschema,
                python3-networkx,
                python3-nose,
+               python3-pandas,
                python3-psutil,
                python3-pygraphviz,
+               python3-pytest,
                python3-pytools,
                python3-ratelimiter,
                python3-recommonmark,
@@ -20,13 +24,11 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-bootstrap-theme,
+               python3-sphinx-rtd-theme,
                python3-wrapt,
                python3-yaml,
-               python3-sphinx-rtd-theme,
-               python3-pytest,
-               ca-certificates,
                r-cran-rmarkdown
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/snakemake
 Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
 Homepage: https://bitbucket.org/snakemake/snakemake
@@ -36,8 +38,11 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends},
+         ca-certificates,
+         libjs-d3,
+         libjs-mathjax,
+         python3-datrie,
          python3-docutils,
-         python3-datrie,
          python3-networkx,
          python3-psutil,
          python3-pygraphviz,
@@ -47,10 +52,7 @@
          python3-rpy2,
          python3-setuptools,
          python3-wrapt,
-         python3-yaml,
-         libjs-mathjax,
-         libjs-d3,
-         ca-certificates
+         python3-yaml
 Recommends: python3-boto,
             r-cran-rmarkdown
 Description: pythonic workflow management system

## snakemake 5.4.0

=== docs/requirements.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 sphinx-argparse
 sphinx_rtd_theme
 docutils==0.12
+recommonmark

=== debian/changelog ===
snakemake (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
     New Build-Dep: python3-git
  * Standards-Version: 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 04 Jan 2019 10:47:45 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-boto,
                python3-configargparse,
                python3-datrie,
+               python3-git,
                python3-jsonschema,
                python3-networkx,
                python3-nose,
@@ -28,7 +29,7 @@
                python3-wrapt,
                python3-yaml,
                r-cran-rmarkdown
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/snakemake
 Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
 Homepage: https://bitbucket.org/snakemake/snakemake

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1

export PYBUILD_NAME=snakemake
export PYBUILD_DESTDIR_python3=debian/snakemake
export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests

export PATH:=$(shell pybuild --print build_dir --interpreter python3 --name $(PYBUILD_NAME))/bin:$(PATH)

# Force the use of python3's sphinx-build.
export SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PATH=$(shell pybuild --print build_dir --interpreter python3)/bin:$(PATH) \
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
		python3 setup.py build_sphinx

## snakemake 5.5.3

=== debian/changelog ===
snakemake (5.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 13 Jul 2019 17:39:18 +0200

## snakemake 5.5.4

=== debian/changelog ===
snakemake (5.5.4-2) unstable; urgency=medium

  * set $HOME to fix build on sbuild

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 06 Sep 2019 13:50:09 +0900

snakemake (5.5.4-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Apply patch from Chris Lamb to make the build reproducible
     (Closes: #932116).

  [ Michael R. Crusoe ]
  * New upstream release
  * debian/control: Add missing build-deps (as shown in errors during the
                    documentation building)
  * debian/README.source: Document missing (optional?) dependencies
  * debian/rules: Fix test invocation, as almost all tests were missed;
                  Document what is known about the skipped tests
  * Apply patch from upstream to fix duplicated argument (Closes: #933527)

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 31 Jul 2019 11:24:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,18 @@
 Uploaders: Kevin Murray <kdmfoss@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                ca-certificates,
+               cwltool,
+               imagemagick,
                python3,
                python3-boto,
+               python3-botocore,
                python3-configargparse,
                python3-datrie,
+               python3-dropbox,
+               python3-flask,
                python3-git,
                python3-jsonschema,
                python3-networkx,
@@ -29,7 +34,8 @@
                python3-wrapt,
                python3-yaml,
                r-cran-rmarkdown
-Standards-Version: 4.3.0
+# python3-irodsclient,  # when that enters testing
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/snakemake
 Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
 Homepage: https://bitbucket.org/snakemake/snakemake
@@ -54,8 +60,14 @@
          python3-setuptools,
          python3-wrapt,
          python3-yaml
-Recommends: python3-boto,
-            r-cran-rmarkdown
+Recommends: cwltool,
+            python3-boto,
+            python3-botocore,
+            python3-dropbox,
+            python3-flask,
+            r-cran-rmarkdown,
+            imagemagick
+# python3-irodsclient, when it enters testing
 Description: pythonic workflow management system
  Build systems like GNU Make are frequently used to create complicated
  workflows, e.g. in bioinformatics. This project aims to reduce the

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,21 @@
 # output every command that modifies files on the build system.
 # export DH_VERBOSE = 1
 
+export HOME=$(CURDIR)/fakehome
 export PYBUILD_NAME=snakemake
 export PYBUILD_DESTDIR_python3=debian/snakemake
 export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
+export PYBUILD_TEST_ARGS=python{version} -m pytest tests/test*.py -v -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093'
+
+# test_report
+# test_ancient
+# test_script requires conda; manually disabling conda show the need for the binary 'julia'
+# test_default_remote requires network access
+# test_issue634 requires conda, but passes when conda is turned off manually
+# test_convert_to_cwl tries to build a singularity format software image from docker://quay.io/snakemake/snakemake:v5.5.4
+# test_issue1083 tries to build a singularity format software image from docker://bash
+# test_issue1093 fails due to conda usage; commenting that out and installing bwa produces a different ordering than desired
+
 export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests
 
 export PATH:=$(shell pybuild --print build_dir --interpreter python3 --name $(PYBUILD_NAME))/bin:$(PATH)
@@ -21,3 +33,15 @@
 	PATH=$(shell pybuild --print build_dir --interpreter python3)/bin:$(PATH) \
 	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
 		python3 setup.py build_sphinx
+
+override_dh_auto_install:
+	dh_auto_install
+	find . -name '__pycache__' | xargs rm -Rf
+	find . -name '*.pyc' | xargs rm -Rf
+	find debian -name '.gitignore' | xargs rm -Rf
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	mkdir -p $(CURDIR)/fakehome
+	PYBUILD_SYSTEM=custom dh_auto_test
+endif

## snakemake 5.6.0

=== debian/changelog ===
snakemake (5.6.0-2) unstable; urgency=medium

  * Team upload.
  * debian/tests: Add missing dependency on python3-pandas; set $HOME
  * Enable parallel testing everywhere

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Sep 2019 13:33:57 +0200

snakemake (5.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * 0013-remove-duplicate-keyword-argument.patch removed, applied upstream
  * Add AutoPkgTests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Sep 2019 16:15:23 +0200

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                python3-psutil,
                python3-pygraphviz,
                python3-pytest,
+               python3-pytest-xdist,
                python3-pytools,
                python3-ratelimiter,
                python3-recommonmark,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME=snakemake
 export PYBUILD_DESTDIR_python3=debian/snakemake
 export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
-export PYBUILD_TEST_ARGS=python{version} -m pytest tests/test*.py -v -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093'
+export PYBUILD_TEST_ARGS=python{version} -m pytest tests/test*.py -n auto -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093 and not test_remote and not test_default_resources'
 
 # test_report
 # test_ancient
@@ -17,6 +17,7 @@
 # test_convert_to_cwl tries to build a singularity format software image from docker://quay.io/snakemake/snakemake:v5.5.4
 # test_issue1083 tries to build a singularity format software image from docker://bash
 # test_issue1093 fails due to conda usage; commenting that out and installing bwa produces a different ordering than desired
+# test_default_resources and test_remote needs moto to be packaged https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=777089
 
 export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pandas, python3-pytest-xdist
Restrictions: allow-stderr

## snakemake 5.7.4

=== debian/changelog ===
snakemake (5.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Skip test_url_include in the autopkgtest
  * debian/{control,copyight,watch}: upstream is now using GitHub
  * Set upstream metadata fields: Repository.
  * Adapt some of the new tests to use python3 instead of python.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 30 Oct 2019 17:22:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                cwltool,
                imagemagick,
                python3,
+               python3-biopython,
                python3-boto,
                python3-botocore,
                python3-configargparse,
@@ -30,16 +31,18 @@
                python3-rpy2,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-argparse,
                python3-sphinx-bootstrap-theme,
                python3-sphinx-rtd-theme,
                python3-wrapt,
                python3-yaml,
-               r-cran-rmarkdown
+               r-cran-rmarkdown,
+               stress
 # python3-irodsclient,  # when that enters testing
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/snakemake
 Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
-Homepage: https://bitbucket.org/snakemake/snakemake
+Homepage: https://snakemake.readthedocs.io/
 
 Package: snakemake
 Architecture: all
@@ -62,6 +65,7 @@
          python3-wrapt,
          python3-yaml
 Recommends: cwltool,
+            python3-biopython,
             python3-boto,
             python3-botocore,
             python3-dropbox,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pandas, python3-pytest-xdist, stress, quilt
Restrictions: allow-stderr

## snakemake 5.8.1

=== debian/changelog ===
snakemake (5.8.1-1) unstable; urgency=medium

  * Team upload.
  * Quilt isn't needed for the autopkgtests, so drop it

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 15 Nov 2019 15:55:01 +0100

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,9 @@
                python3-sphinx-rtd-theme,
                python3-wrapt,
                python3-yaml,
+               python3-jinja2,
+               python3-pygments,
+               python3-pygraphviz,
                r-cran-rmarkdown,
                stress
 # python3-irodsclient,  # when that enters testing

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME=snakemake
 export PYBUILD_DESTDIR_python3=debian/snakemake
 export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
-export PYBUILD_TEST_ARGS=python{version} -m pytest tests/test*.py -n auto -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093 and not test_remote and not test_default_resources'
+export PYBUILD_TEST_ARGS=python{version} -m pytest tests/test*.py -n auto -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093 and not test_remote and not test_default_resources and not test_tibanna and not test_github_issue78 and not test_output_file_cache_remote'
 
 # test_report
 # test_ancient

## snakemake 5.9.1

=== debian/changelog ===
snakemake (5.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Exclude new test 'test_env_modules' as it isn't for us.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 01 Jan 2020 16:06:43 +0100

## snakemake 5.10.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Snakemake.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Snakemake.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Snakemake"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Snakemake"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
--- 
+++ 
@@ -4,3 +4,5 @@
 sphinx_rtd_theme
 docutils==0.12
 recommonmark
+configargparse
+appdirs

=== debian/changelog ===
snakemake (5.10.0-2) unstable; urgency=medium

  * Team upload.
  * Actually fix #943956, thanks to Chris Lamb for the quick hint

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 11 Feb 2020 11:31:06 +0100

snakemake (5.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.10.0
    Closes: #943956
  * Refresh python3 patch, drop 0012-reproducible-build.patch
  * d/control: add python3-nbformat, python3-toposort to Build-Depends,
    bump Policy to 4.5.0

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 09 Feb 2020 11:57:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Kevin Murray <kdmfoss@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: ca-certificates,
+               cwltool,
+               debhelper-compat (= 12),
                dh-python,
-               ca-certificates,
-               cwltool,
                imagemagick,
                python3,
                python3-biopython,
@@ -17,11 +17,14 @@
                python3-dropbox,
                python3-flask,
                python3-git,
+               python3-jinja2,
                python3-jsonschema,
+               python3-nbformat,
                python3-networkx,
                python3-nose,
                python3-pandas,
                python3-psutil,
+               python3-pygments,
                python3-pygraphviz,
                python3-pytest,
                python3-pytest-xdist,
@@ -34,25 +37,19 @@
                python3-sphinx-argparse,
                python3-sphinx-bootstrap-theme,
                python3-sphinx-rtd-theme,
+               python3-toposort,
                python3-wrapt,
                python3-yaml,
-               python3-jinja2,
-               python3-pygments,
-               python3-pygraphviz,
                r-cran-rmarkdown,
                stress
-# python3-irodsclient,  # when that enters testing
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/snakemake
 Vcs-Git: https://salsa.debian.org/med-team/snakemake.git
 Homepage: https://snakemake.readthedocs.io/
 
 Package: snakemake
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${sphinxdoc:Depends},
-         ca-certificates,
+Depends: ca-certificates,
          libjs-d3,
          libjs-mathjax,
          python3-datrie,
@@ -66,16 +63,18 @@
          python3-rpy2,
          python3-setuptools,
          python3-wrapt,
-         python3-yaml
+         python3-yaml,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
 Recommends: cwltool,
+            imagemagick,
             python3-biopython,
             python3-boto,
             python3-botocore,
             python3-dropbox,
             python3-flask,
-            r-cran-rmarkdown,
-            imagemagick
-# python3-irodsclient, when it enters testing
+            r-cran-rmarkdown
 Description: pythonic workflow management system
  Build systems like GNU Make are frequently used to create complicated
  workflows, e.g. in bioinformatics. This project aims to reduce the

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME=snakemake
 export PYBUILD_DESTDIR_python3=debian/snakemake
 export PYBUILD_BEFORE_TEST_python3=chmod +x {dir}/bin/snakemake; cp -r {dir}/bin {dir}/tests {build_dir}
-export PYBUILD_TEST_ARGS=python{version} -m pytest tests/test*.py -n auto -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093 and not test_remote and not test_default_resources and not test_tibanna and not test_github_issue78 and not test_output_file_cache_remote'
+export PYBUILD_TEST_ARGS=python{version} -m pytest tests/test*.py -n auto -k 'not report and not ancient and not test_script and not default_remote and not issue635 and not convert_to_cwl and not issue1083 and not issue1092 and not issue1093 and not test_remote and not test_default_resources and not test_tibanna and not test_github_issue78 and not test_output_file_cache_remote and not test_env_modules'
 
 # test_report
 # test_ancient
@@ -18,8 +18,9 @@
 # test_issue1083 tries to build a singularity format software image from docker://bash
 # test_issue1093 fails due to conda usage; commenting that out and installing bwa produces a different ordering than desired
 # test_default_resources and test_remote needs moto to be packaged https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=777089
+# test_env_modules relies on "module load" which is not packaged for Debian
 
-export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests
+export PYBUILD_AFTER_TEST_python3=rm -fr {build_dir}/bin {build_dir}/tests {dir}/tests/test_filegraph/.snakemake/
 
 export PATH:=$(shell pybuild --print build_dir --interpreter python3 --name $(PYBUILD_NAME))/bin:$(PATH)

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pandas, python3-pytest-xdist, stress
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/snakemake-$1.tar.gz/" \
  https://github.com/snakemake/snakemake/releases/latest .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
